# std::shared_lock<Mutex>::mutex

From cppreference.com
< cpp‎ | thread‎ | shared lock

mutex_type* mutex() const noexcept; |  | (since C++14)

Returns a pointer to the associated mutex, or a null pointer if there is no associated mutex.

### Parameters

(none)

### Return value

Pointer to the associated mutex or a null pointer if there is no associated mutex.

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_lock/mutex&oldid=93357"